import javax.swing.*;

public class GUIAdressbuch {
	
	// Widgets fr die GUI
	JFrame frame = new JFrame("Adressbuch");

	// JList und JScrollPane
	JList list;
	JScrollPane listScroller;

	// Labels fuer die Textfelder
	JLabel labelVorname  = new JLabel("Vorname:   ");
	JLabel labelNachname = new JLabel("Nachname:");
	JLabel labelTelefon  = new JLabel("Telefon:     ");
	JLabel labelSuchen   = new JLabel("Suchen:");

	// Textfelder
	JTextField fieldVorname = new JTextField(15);
	JTextField fieldNachname = new JTextField(15);
	JTextField fieldTelefon = new JTextField(15);
	JTextField fieldSuchen = new JTextField(20);
	
	// Buttons
	JButton buttonHinzufuegen = new JButton("Kontakt hinzufgen");
	JButton buttonLoeschen = new JButton("Felder lschen");
	JButton buttonEntfernen = new JButton("Kontakt entfernen");
	
	// main ruft nur baueGUI() auf
	public static void main (String[] args) {
		GUIAdressbuch gui = new GUIAdressbuch();
		gui.baueGUI();
	}

	// GUI aufbauen
	public void baueGUI () {
		// jedes Label mit seinem Textfeld in ein eigenes Panel setzen (FlowLayout)
		JPanel panelVorname = new JPanel();
		panelVorname.add(labelVorname);
		panelVorname.add(fieldVorname);		

		JPanel panelNachname = new JPanel();
		panelNachname.add(labelNachname);
		panelNachname.add(fieldNachname);		
		
		JPanel panelTelefon = new JPanel();		
		panelTelefon.add(labelTelefon);
		panelTelefon.add(fieldTelefon);		

		// Panel fuer Buttons "Hinzufuegen" und "Felder loeschen"
		JPanel panelButtons = new JPanel();
		panelButtons.add(buttonHinzufuegen);
		panelButtons.add(buttonLoeschen);

		
		// Panel fuer Suchfeld und Label
		JPanel panelSuchen = new JPanel();
		panelSuchen.add(labelSuchen);
		panelSuchen.add(fieldSuchen);
		
		// Panel mit Boxlayout fr Textfelder und Buttons
		JPanel panelRechts = new JPanel();
		panelRechts.setLayout(new BoxLayout(panelRechts, BoxLayout.Y_AXIS));
		panelRechts.add(panelVorname);
		panelRechts.add(panelNachname);
		panelRechts.add(panelTelefon);
		panelRechts.add(panelButtons);
		
		// Anzahl sichtbarer Zeilen in der Liste setzen
		JList list = new JList();
		list.setVisibleRowCount(10);
		list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		
		// Liste mit Scroller verbinden
		listScroller = new JScrollPane(list);
		listScroller.setVerticalScrollBarPolicy(ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
		listScroller.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
		
		
		// Panel mit BoxLayout fuer Suchfeld, Liste und "Entfernen"-Button
		JPanel panelLinks = new JPanel();
		panelLinks.setLayout(new BoxLayout(panelLinks, BoxLayout.Y_AXIS));
		panelLinks.add(panelSuchen);
		panelLinks.add(listScroller);
		panelLinks.add(buttonEntfernen);		
		
		// panelGesamt nimmt das linke Panel (Suchfeld, Liste) und das rechte Panel auf (Eingabfelder)
		JPanel panelGesamt = new JPanel();
		panelGesamt.add(panelLinks);
		panelGesamt.add(panelRechts);		
		frame.setContentPane(panelGesamt);		

		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		//frame.setSize(300,300);
		frame.pack();  // Groesse berechnen lassen
		frame.setVisible(true);		
	}
}